org.springframework.data.repository

## Annotation Type RepositoryDefinition

    @Indexed
     @Documented
     @Retention(value=RUNTIME)
     @Target(value=TYPE)
     @Inherited
    public @interface RepositoryDefinition

Annotation to demarcate interfaces a repository proxy shall be created for. Annotating an interface with `RepositoryDefinition` will cause the same behaviour as extending `Repository`.

Author:
  Oliver Gierke
See Also:
  `Repository`

### Required Element Summary

Required Elements
`Class<?>` `domainClass` The domain class the repository manages.
`Class<?>` `idClass` The id class of the entity the repository manages.

### Element Detail

#### domainClass

    public abstract Class<?> domainClass

The domain class the repository manages. Equivalent to the T type parameter in `Repository`.

Returns:
See Also:
  `Repository`

#### idClass

    public abstract Class<?> idClass

The id class of the entity the repository manages. Equivalent to the ID type parameter in `Repository`.

Returns:
See Also:
  `Repository`